const Router = require('koa-router');
const system = require('./controllers/system')
const user = require('./controllers/user')

const router = Router();
const API_VERSION = "/api/v1";

router.post(`${API_VERSION}/login`, system.login);
router.get(`${API_VERSION}/fetch_user`, system.fetch_user);

router.get(`${API_VERSION}/user/:type`, user.query)


module.exports = router;
